Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 19/06/2010, à 11:57

Pypw

[Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Bonjour ,

J'ai deux paquets cassés que je n'arrive ni à réparer, ni à désinstaller ni à mettre à jour. Systématiquement, Synaptic me donne le message d'erreur suivant:

dpkg: erreur d'analyse, dans le fichier '/var/lib/dpkg/status' vers la ligne 17068 paquet 'parted-doc':
erreur dans la chaîne Version « 16777216 » : rien après les deux points (: ) dans le numéro de la version
E/ Sub-process /usr/bin/dpkg returned an error code (2)
Echec de l'installation d'un paquet. Tentative de récupération :
dpkg: erreur d'analyse, dans le fichier '/var/lib/dpkg/status' vers la ligne 17068 paquet 'parted-doc':
erreur dans la chaîne Version « 16777216 » : rien après les deux points (: ) dans le numéro de la version

dpkg: erreur d'analyse, dans le fichier '/var/lib/dpkg/status' vers la ligne 17068 paquet 'parted-doc':
erreur dans la chaîne Version « 16777216: » : rien après les deux points (: ) dans le numéro de la version
E: Sub-process /usr/bin/dpkg returned an error code (2)

Ca m'embête un peu dans la mesure où je ne peux plus faire de mise à jour, le gestionnaire m'indique la même erreur de dpkg.

Merci d'avance pour votre aide

Dernière modification par Pypw (Le 23/06/2010, à 19:19)


Acer Extensa 5620Z
Dual Boot Ubuntu Karmic Koala / Windows XP Pro

Hors ligne

#2 Le 19/06/2010, à 12:19

michel_04

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Bonjour,

Tu peux regarder la Doumentation ---> http://doc.ubuntu-fr.org/probleme_apt.

A+

Hors ligne

#3 Le 20/06/2010, à 11:52

Pypw

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Bonjour,

Merci pour ta réponse.
J'avais déjà regardé cette page, mais sans comprendre que je me retrouvais avec une Erreur de sortie d'état 2 (si j'ai bien compris dans le message que Synaptic me donnait précédemment).
J'ai donc tapé dans un terminal "sudo apt-get clean". Jusque là, tout va bien, il me redonne la main.
Ensuite j'ai réinstallé les deux paquets qui me posent un problème:

pypw@pypw-laptop:~$ sudo apt-get install gnotski libass3
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  linux-headers-2.6.31-14 linux-headers-2.6.31-14-generic
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront mis à jour :
  gnotski libass3
2 mis à jour, 0 nouvellement installés, 0 à enlever et 42 non mis à jour.
Il est nécessaire de prendre 444ko dans les archives.
Après cette opération, 0o d'espace disque supplémentaires seront utilisés.
Réception de : 1 http://fr.archive.ubuntu.com karmic-updates/main gnotski 1:2.28.0-0ubuntu3 [399kB]
Réception de : 2 http://fr.archive.ubuntu.com karmic/universe libass3 0.9.6-1 [45,7kB]
444ko réceptionnés en 19s (22,6ko/s)                                           
dpkg: erreur d'analyse, dans le fichier '/var/lib/dpkg/status' vers la ligne 17068 paquet 'parted-doc':
erreur dans la chaîne Version « 16777216: » : rien après les deux points (:) dans le numéro de la version
E: Sub-process /usr/bin/dpkg returned an error code (2)

J'ai donc fait

pypw@pypw-laptop:~$ sudo apt-get autoremove
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
  gnotski: Dépend: mibglib2.0-0 (>= 2.18.0) mais il n'est pas installable
           Dépend: liblaunchpad-integratioo1 (>= 0.1.17) mais il n'est pas installable
  libass3: Dépend: libfootconfig1 (>= 2.4.0) mais il n'est pas installable
E: Dépendances manquantes. Essayez d'utiliser l'option -f.

J'ai donc alors retapé "sudo apt-get -f install" et il me renvoie le même message que quand j'ai réinstallé les deux paquets qui me posent un problème.

J'ai l'impression de tourner en rond... Que faire? Please help!

A+


Acer Extensa 5620Z
Dual Boot Ubuntu Karmic Koala / Windows XP Pro

Hors ligne

#4 Le 23/06/2010, à 13:20

Pypw

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Up


Acer Extensa 5620Z
Dual Boot Ubuntu Karmic Koala / Windows XP Pro

Hors ligne

#5 Le 23/06/2010, à 14:14

michel_04

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Bonjour,

Pypw a écrit :

Up

Tu as essayé :

sudo mv /var/lib/dpkg/status-old  /var/lib/dpkg/status
sudo apt-get update

A+

Hors ligne

#6 Le 23/06/2010, à 14:37

Pypw

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Super! Ça a marché! Merci beaucoup, michel_04!

Si j'ai bien compris, "sudo mv /var/lib/dpkg/status-old  /var/lib/dpkg/status" a copié status-old à la place de status. Ce status-old, c'est une sauvegarde de la gestion de paquets par dpkg?

Merci encore


Acer Extensa 5620Z
Dual Boot Ubuntu Karmic Koala / Windows XP Pro

Hors ligne

#7 Le 23/06/2010, à 14:45

michel_04

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Re,

Pypw a écrit :

Si j'ai bien compris, "sudo mv /var/lib/dpkg/status-old  /var/lib/dpkg/status" a copié status-old à la place de status. Ce status-old, c'est une sauvegarde de la gestion de paquets par dpkg?

C'est ça.

Ajoute [Résolu] au titre de ton post, merci.

A+

Hors ligne

#8 Le 07/07/2010, à 18:29

Mali34

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Bonjour, j'ai le même problème me semble-t-il que toi.
Lorsque j'essaie une mise à jour, il m'indique qu'il y a un problème de caractère non autorisé dans  /var/lib/dpkg/status :

lolo@lolo-portable:~$ sudo apt-get install thunderbird
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Paquets suggérés :
  thunderbird-gnome-support latex-xft-fonts
Les NOUVEAUX paquets suivants seront installés :
  thunderbird
0 mis à jour, 1 nouvellement installés, 0 à enlever et 222 non mis à jour.
Il est nécessaire de prendre 0o/10,4Mo dans les archives.
Après cette opération, 29,3Mo d'espace disque supplémentaires seront utilisés.
dpkg: erreur d'analyse, dans le fichier '/var/lib/dpkg/status' vers la ligne 1053 paquet 'sudo':
 champ « Depends », nom de paquet incorrect « libp`m-modules » : caractère « ` » non autorisé (seuls les lettres, les chiffres et « -+._ » le sont)
E: Sub-process /usr/bin/dpkg returned an error code (2)

Merci d'avance à toute bonne volonté.
L.

Hors ligne

#9 Le 07/07/2010, à 19:18

fabux

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Salut,

à priori dans ton fichier /var/lib/dpkg/status vers la ligne 1053 du paquet sudo il doit être indiqué libp`m-modules alors que chez moi c'est libpam-modules. Essai de rectifier la ligne (et uniquement celle-ci) en question (avec par exemple gksudo gedit /var/lib/dpkg/status si tu es sur gnome), puis

sudo dpkg --configure -a
sudo apt-get update
sudo apt-get upgrade

Sinon tu peux tenter la méthode donnée par michel_04

Hors ligne

#10 Le 08/07/2010, à 09:13

Mali34

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Merci.
J'ai corrigé cette ligne, et fait ce que tu m'as conseillé. Je t'en donne le résultat.
Laurent.

lolo@lolo-portable:~$ sudo dpkg --configure -a
dpkg: erreur d'analyse, dans le fichier '/var/lib/dpkg/status' vers la ligne 1527 paquet 'gdm':
 champ « Depends », nom de paquet incorrect « libp`m-modules » : caractère « ` » non autorisé (seuls les lettres, les chiffres et « -+._ » le sont)
lolo@lolo-portable:~$ sudo apt-get update
Atteint http://fr.archive.ubuntu.com lucid Release.gpg
Réception de : 1 http://fr.archive.ubuntu.com/ubuntu/ lucid/main Translation-fr [452kB]
Atteint http://security.ubuntu.com lucid-security Release.gpg                  
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-fr
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-fr
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-fr
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-fr
Atteint http://security.ubuntu.com lucid-security Release
Atteint http://security.ubuntu.com lucid-security/main Packages
Atteint http://security.ubuntu.com lucid-security/restricted Packages
Atteint http://security.ubuntu.com lucid-security/main Sources
Atteint http://security.ubuntu.com lucid-security/restricted Sources
Atteint http://security.ubuntu.com lucid-security/universe Packages      
Atteint http://security.ubuntu.com lucid-security/universe Sources       
Atteint http://security.ubuntu.com lucid-security/multiverse Packages    
Atteint http://security.ubuntu.com lucid-security/multiverse Sources     
Réception de : 2 http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-fr [2 628B]
Réception de : 3 http://fr.archive.ubuntu.com/ubuntu/ lucid/universe Translation-fr [702kB]
Réception de : 4 http://fr.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-fr [83,2kB]
Atteint http://fr.archive.ubuntu.com lucid-updates Release.gpg                 
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-fr     
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-fr 
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-fr
Atteint http://fr.archive.ubuntu.com lucid Release                             
Atteint http://fr.archive.ubuntu.com lucid-updates Release                     
Atteint http://fr.archive.ubuntu.com lucid/main Packages                       
Atteint http://fr.archive.ubuntu.com lucid/restricted Packages                 
Atteint http://fr.archive.ubuntu.com lucid/main Sources                        
Atteint http://fr.archive.ubuntu.com lucid/restricted Sources                  
Atteint http://fr.archive.ubuntu.com lucid/universe Packages                   
Atteint http://fr.archive.ubuntu.com lucid/universe Sources                    
Atteint http://fr.archive.ubuntu.com lucid/multiverse Packages                 
Atteint http://fr.archive.ubuntu.com lucid/multiverse Sources                  
Atteint http://fr.archive.ubuntu.com lucid-updates/main Packages               
Atteint http://fr.archive.ubuntu.com lucid-updates/restricted Packages         
Atteint http://fr.archive.ubuntu.com lucid-updates/main Sources                
Atteint http://fr.archive.ubuntu.com lucid-updates/restricted Sources          
Atteint http://fr.archive.ubuntu.com lucid-updates/universe Packages           
Atteint http://fr.archive.ubuntu.com lucid-updates/universe Sources            
Atteint http://fr.archive.ubuntu.com lucid-updates/multiverse Packages         
Atteint http://fr.archive.ubuntu.com lucid-updates/multiverse Sources          
1 240ko réceptionnés en 23s (53,1ko/s)                                         
Lecture des listes de paquets... Fait
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/main Packages (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_main_binary-i386_Packages)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/main Translation-fr (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_main_i18n_Translation-fr)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Packages (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-fr (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_restricted_i18n_Translation-fr)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/main Packages (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_main_binary-i386_Packages)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/main Translation-fr (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_main_i18n_Translation-fr)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Packages (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-fr (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_restricted_i18n_Translation-fr)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/main Packages (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_main_binary-i386_Packages)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/main Translation-fr (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_main_i18n_Translation-fr)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Packages (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-fr (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_restricted_i18n_Translation-fr)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/main Packages (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_main_binary-i386_Packages)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/main Translation-fr (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_main_i18n_Translation-fr)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Packages (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-fr (/var/lib/apt/lists/fr.archive.ubuntu.com_ubuntu_dists_lucid_restricted_i18n_Translation-fr)
W: Vous pouvez lancer « apt-get update » pour corriger ces problèmes.
lolo@lolo-portable:~$ sudo apt-get upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
  sudo: Dépend: libpam-modules mais il n'est pas installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.

Hors ligne

#11 Le 08/07/2010, à 09:18

Mali34

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

La deuxième méthode ne marche pas mieux :

lolo@lolo-portable:~$ sudo mv /var/lib/dpkg/status-old /var/lib/dpkg/status
mv: ne peut évaluer `/var/lib/dpkg/status-old': Aucun fichier ou dossier de ce type

Ce problème est apparu de suite, quand j'ai voulu installer ubuntu 10.04 en double boot sur le compaq CD71 que je viens d'acheter.
L.

Hors ligne

#12 Le 08/07/2010, à 09:36

fabux

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

vers la ligne 1527 paquet 'gdm'...il faut que tu lises aussi les messages wink. Même erreur mais ligne 1527 du paquet gdm. Même motif, même punition.
Pour le reste

ls -l /var/lib/dpkg/

Hors ligne

#13 Le 08/07/2010, à 13:15

Mali34

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Je suis parti dans l'idée que le paquet libp`m-modules devait être changé en libpam partout dans ce fichier status. Une fois ceci fini, voici ce qu'il s'est passé :

lolo@lolo-portable:~$ sudo dpkg --configure -a
dpkg: erreur d'analyse, dans le fichier '/var/lib/dpkg/available' vers la ligne 1014 paquet 'sudo':
 champ « Depends », nom de paquet incorrect « libp`m-modules » : caractère « ` » non autorisé (seuls les lettres, les chiffres et « -+._ » le sont)

D'où peut venir le fait que tous les libpam-module se soient transformés en libp`m ?
Est-ce qu'il n'est pas dangereux de changer ces nos dans ces fichiers systèmes ?
Merci d'avance,
L.

Hors ligne

#14 Le 08/07/2010, à 16:04

fabux

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Tu n'as pas donné la réponse du ls pour voir si tu n'aurais pas une save du status mais à priori ta modif de libp`m-modules en libpam-modules serait bien passé, la réponse n'est plus la même il s'agit du fichier available.
Tu devrais pouvoir recréer le fichier available avec

sudo dpkg --clear-avail
sudo apt-get -f install
sudo apt-get update
sudo apt-get upgrade

edit: peut-être faire dans la foulée un dpkg --configure -a

Dernière modification par fabux (Le 08/07/2010, à 16:06)

Hors ligne

#15 Le 09/10/2011, à 20:46

Spheerys

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Un ami à qui j'ai installé Ubuntu a un probleme similaire...
Le fichier /var/lib/dpkg/status semble tout cassé, avec des caractères interchangés à droite à gauche... ce qui bloque bien évidemment le dpkg et apt-get

Ma question est double :
- comment réparer ou regénérer ce fichier de manière automatique (car à la main, ça semble plutôt fastidieux et je n'ai plus le fichier status-old)
- comment un tel problème peut-il survenir ?????????????

Merci pour vos réponses smile

Hors ligne

#16 Le 09/10/2011, à 21:26

fabux

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Salut,

- vérifies que tu n'a vraiment pas d'anciens fichiers status (même compressé) dans /var/lib/dpkg. Tu peux aussi jeter un œil dans /var/backup.
Sinon, je n'ai jamais eu à le faire mais tu peux essayer de le reconstruire en suivant ça (vu également ici).
Il y a aussi ça qui parle de ce script.

- pas trop d'idée mais peut-être une mauvaise manip, un script de d'installation (ou désinstallation) mal construit...

Hors ligne

#17 Le 10/10/2011, à 08:15

Spheerys

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

Merci pour ces tuyaux smile
J'essaie ça dès que je retourne le voir.
Sinon une autre idée que j'avais est de prendre le fichier status qui est intact sur une autre installation d'Ubuntu (même version).
Une petite chance pour que ça fonctionne ou c'est même pas la peine d'essayer ?

Hors ligne

#18 Le 10/10/2011, à 13:32

fabux

Re : [Résolu] Paquets cassés - erreur d'analyse dpkg /var/lib/dpkg/

J'y crois moyen: d'une machine à l'autre tu n'a pas forcément les même paquets.
Au pire tu peux tenter en dernier recours avant réinstall.

Hors ligne